PDA

View Full Version : InstallScript Engine older than...



neal007
01-12-2005, 01:44 PM
Hello,

I recently released a InstallScript MSI installation (updated from InstallShield X) now using InstallShield 10.5.

Customer reports this error:

1: The InstallScript engine on this machine is older than the version required to run this setup. If available, please install the latest version of ISScript.msi, or contact your support personnel for further assistance.

Any assistance is greatly appreciated. I'm surprised to see this with InstallShield 10.5!

FinbarFitz
01-22-2005, 02:55 PM
I'm having the same problem. I've tried everything. Even had the isscriptengine pointed to http://www.installengine.com/cert03/isengine.

Someone please tell me had to fix this. Every other post I see regarding this there are replies.

mkatzer
08-23-2006, 10:04 AM
Anyone have any helpful hints. Does not matter if i change the isscript.msi, download the new version from the installshield site, point the setup to the www.installengine.com site. (delete the common directory) etc. i tired everything I can think of

seems to have peeked its head with vs2005 on a test systems with windows xp pro and the all of the latestpatches.

same error message in all of the cases: version of isscript.msi is out of date on your system, you need to downlaod a new version etc. (which is bull).

I think the problem is that the latest xp security patches break the older installers and macrovisionneed needs to update the installscript.msi file.

sugestions on what I should try?

I'm running version 10

mkatzer@kamind.com
:eek:

nfulgencio
10-04-2006, 02:26 PM
A few machines where I work had this issue. We blew out the user's profile and all is well. This was happening in the field so I could not pinpoint exactly what was getting corrupted on the user's hive. GL

oBladeo1
11-10-2006, 09:59 AM
I had this problem with a windows 2003 + installshield 10 install today and fixed it :)

I installed the

ISScript8.msi

and now it works perfect hope that helps

I had the
ISScript7.msi
ISScript10.msi
ISScript1050.msi
ISScript1150.msi

but untill i installed 8 it said the same thing

timhahn
03-13-2009, 06:38 AM
I had this problem installing sling media and tried everything until I ran Registry Mechanic which seem to fix everything because it installed perfectly afterwards.